org.jfree.chart

## Class ChartMouseEvent

- java.lang.Object
- - java.util.EventObject
  - - org.jfree.chart.ChartMouseEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ChartMouseEvent
      extends java.util.EventObject
      implements java.io.Serializable

  A mouse event for a chart that is displayed in a `ChartPanel`.
  See Also:
    `ChartMouseListener`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChartMouseEvent(JFreeChart chart, java.awt.event.MouseEvent trigger, ChartEntity entity)` Constructs a new event.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JFreeChart` | `getChart()` Returns the chart that the mouse event relates to.
    `ChartEntity` | `getEntity()` Returns the chart entity (if any) under the mouse point.
    `java.awt.event.MouseEvent` | `getTrigger()` Returns the mouse event that triggered this event.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChartMouseEvent

          public ChartMouseEvent(JFreeChart chart,
                                 java.awt.event.MouseEvent trigger,
                                 ChartEntity entity)

      Constructs a new event.
      Parameters:
        `chart` - the source chart (`null` not permitted).
        `trigger` - the mouse event that triggered this event (`null` not permitted).
        `entity` - the chart entity (if any) under the mouse point (`null` permitted).

  - ### Method Detail

    - #### getChart

          public JFreeChart getChart()

      Returns the chart that the mouse event relates to.
      Returns:
        The chart (never `null`).

    - #### getTrigger

          public java.awt.event.MouseEvent getTrigger()

      Returns the mouse event that triggered this event.
      Returns:
        The event (never `null`).

    - #### getEntity

          public ChartEntity getEntity()

      Returns the chart entity (if any) under the mouse point.
      Returns:
        The chart entity (possibly `null`).